//===========================================================================
// Smarclient FPMS Demo Project a sample project for SmartClient technology.
// Smarclient FPMS Demo is designed and implemented bases Microsoft Application Block tech.
// Author: SFPMS Team, Date 2004-11
// Vision 1.0
// Revison History
//=============================================================================
using System;

namespace JSW.FPMS.Tool
{
	/// <summary>
	/// 巡检系统日志类
	/// </summary>
	public abstract class clsRiZhiChuLi
	{
		public clsRiZhiChuLi()
		{
			
		}

		/// <summary>
		/// 记录日志信息
		/// </summary>
		/// <param name="RiZhiXinXi">日志信息</param>
		/// <param name="ShiFouDiaoShi">是否是调试信息日志</param> 
		public static void JiLuRiZhi(String RiZhiXinXi) 
		{	
			String banben = clsPeiZhiChuLi.DeDaoBanBenLeiXing(); 
			if(banben.Equals(clsPeiZhiChuLi.BANBEN_DIAOSHI)) 
			{
				if(RiZhiXinXi == null) return;
				String RiZhi = clsRiQiChuLi.DangQianRiQi() + ":" + "巡检系统日志:"+RiZhiXinXi; 
				Console.WriteLine(RiZhi);
			}
			else 
			{

			}
		}
	}
}
